/*
 * Copyright (c) 2012, Noel Lemouel
 * All rights reserved.
 */

#include <sysutil.h>
#include <string.h>

#include <drivers/tmp275/tmp275.h>

/* tp = display tmp325 temperature reading */

int _tp(int argc, char **argv)
{
   unsigned short tp;
   tmp275_tp_t tmp275_tp;

   if(tmp275_echo()) return -1;

   tp = tmp275_read(0x00);

   tmp275_xtoc((tp & 0xff00) >> 8, tp & 0x00ff, &tmp275_tp);
   printf("tmp275: %d.%04d%c\n", tmp275_tp.i, tmp275_tp.f, tmp275_tp.u);
   tmp275_xtof((tp & 0xff00) >> 8, tp & 0x00ff, &tmp275_tp);
   printf("tmp275: %d.%04d%c\n", tmp275_tp.i, tmp275_tp.f, tmp275_tp.u);

   return 0;
}

